 #!/bin/sh

#
# include the library code
#
. /etc/iscsi-target/ietd_lib.sh

if [ -f /etc/init.d/functions ] ; then
  . /etc/init.d/functions
elif [ -f /etc/rc.d/init.d/functions ] ; then
  . /etc/rc.d/init.d/functions
else
  exit 0
fi

ROOT=$(dirname $0)

#
# volume group data directory
#
# mount points should be located below VGMETA_DIR for each volume group
# on each cluster node (/etc/iscsi-target/ietd_vg.sh is responsible).
#
# Below each volume group meta directory are data files for ddmap and iet.
#
VGMETA_DIR=/mnt/iscsi-target

#
# ddmap running data
#
DDMAP_PROC=/proc/net/iet/ddmap

#
# iptables configuration (for iscsi traffic block)
#
IPTABLES_PORT=3260

#
# iet config (local)
#
IET_CONF_DIR=/etc/iet

#
# managed hosts
#
IET_TARGET_HOSTS="\
iscsi-target_type_your_hostname-node1.amherst.edu
iscsi-target_type_your_hostname-node2.amherst.edu
"

#
# managed volume groups
#
IET_VGS="\
type_your_volume_group_names
"

#
# iscsi target prefix (once this is set, do NOT EVER change it!)
#
IET_TARGET_PREFIX="iqn.1990-01.edu.amherst:iet.iscsi-target_type_your_value"

#
# iscsi portal nodes (not used)
#
#IET_PORTAL_HOSTS="\
#iscsi-portal-node1.amherst.edu
#iscsi-portal-node2.amherst.edu
#"

#
# iet zfs-archive vlan
#
IET_ZFS_VLAN="pg_vlan141_iscsi"
